Download it now!
Bug 56117 - EDITING: Bookmarks are not copied or are lost when copying or moving a paragraph with a bookmark
Summary: EDITING: Bookmarks are not copied or are lost when copying or moving a paragr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote Bookmarks Cut-Copy
  Show dependency treegraph
 
Reported: 2012-10-18 03:17 UTC by Mathias Kinsele
Modified: 2020-06-12 11:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file created by the steps given in comment #4. (8.91 KB, application/vnd.oasis.opendocument.text)
2012-10-25 12:40 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Kinsele 2012-10-18 03:17:03 UTC

    
Comment 1 Mathias Kinsele 2012-10-18 03:19:57 UTC
Wird ein Paragraph mit Textmarke kopiert und als Fußnote abgelegt, dann geht die Textmarke verloren.
Dies funktionierte noch unter OOo 2.4.
Comment 2 Roman Eisele 2012-10-25 10:39:09 UTC
Not a BASIC issue (BASIC is the programming/macro language), but a basic Writer problem. → Changed Component accordingly.
Comment 3 Roman Eisele 2012-10-25 12:16:46 UTC
Translation of comment #0:

If you copy a paragraph containing a bookmark and put the text into a footnote, the bookmark is lost.

This worked in OOo 2.4.
Comment 4 Roman Eisele 2012-10-25 12:40:09 UTC
Created attachment 69067 [details]
Sample file created by the steps given in comment #4.



Well, I can NOT reproduce this with LibreOffice 3.6.3.1 (Build ID: f8fce0b) on Mac OS X 10.6.8 (Intel)

If I
1) create a new Writer document
2) enter two paragraphs of text
3) insert a bookmark named (e.g.) ”My_simple_bookmark” into the
   second paragraph
4) copy the whole second paragraph
5) insert a new footnote into the first paragraph
6) paste the clipboard (containg the text of the second paragraph)
   into the footnote,

the Navigator window shows two bookmarks now, my original one, still called ”My_simple_bookmark”, and a second one, pointing to the copy of the bookmark in the footnote text and named ”My_simple_bookmark1”.

The sample file created by these steps is attached.

So for me everything works as expected.
Comment 5 Roman Eisele 2012-10-25 12:50:32 UTC
@ Mathias Kinsele:

Thank you for your bug report!

However, it is not easy to reproduce this issue. Either this problem depends on the platform/OS (Windows vs. Mac OS), or this bug was fixed between 3.6.1.2 and 3.6.3.1 (but I am not aware that such a bug was fixed), or there is some special condition which is not clear from the original description of the bug.

Could you please check what happens when you repeat the steps given by me in comment #4? Does everything work as expected (A), just like for me? Or do you still see the bug (B)?

(A) If everything works, we know that there is some special condition which is necessary that the bug occurs. Could you please try to find out what you did differently (compared to my steps in comment #4) when you faced the bug?

(B) If the bug is reproducible for you by my steps from comment #4, could you please check if you can still reproduce it with the most recent version of LibreOffice (3.6.3.1 or, in a few days, 3.6.3.2, both available from
   http://www.libreoffice.org/download/pre-releases/
)?

And please report your results here.

Thank you very much in advance!
Comment 6 Mathias Kinsele 2012-10-25 17:03:45 UTC
The steps shown in comment 4 work as shown.
But if the paragraph that you copy/move starts with a bookmark than this one is lost.
So the bugtitle should be: "If you copy/move a paragraph that starts with a bookmark into a footnote, that bookmark is lost."
Comment 7 Roman Eisele 2012-10-25 17:32:59 UTC
(In reply to comment #6)
> But if the paragraph that you copy/move starts with a bookmark than this one
> is lost.

Ah, this was the missing piece of information -- thank you very much!

Now I can REPRODUCE the issue also on Mac OS X 10.6.8 (Intel) with
* LibreOffice 3.3.0
* LibreOffice 3.4.0
* LibreOffice 3.5.0
* LibreOffice 3.6.3.1;
this is very probably an old bug inherited from OOo.

Therefore changed Summary as proposed in comment #6, set Platform to All/All, set Version to the first version which is known to contain the bug, and set Status to NEW (confirmed).

Thank you again!
Comment 8 QA Administrators 2015-01-05 17:51:46 UTC Comment hidden (obsolete)
Comment 9 Gordo 2015-05-04 13:08:44 UTC
This also applies to copying and pasting paragraphs with bookmarks to anywhere in a document.

Bookmarks are not copied when copying a paragraph if they are:
-at the beginning of a paragraph
-at the end of a paragraph
-a range covering the whole paragraph
-a range covering part of a paragraph and only the bookmark range or less is copied

Bookmarks are copied when copying a paragraph if they are:
-in the middle of a paragraph (also if part of the paragraph containing the bookmark is copied)
-a range covering the beginning of the paragraph to the middle of the paragraph
-a range covering the middle of the paragraph to the end of the paragraph
-a range covering the middle of the paragraph

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 10 QA Administrators 2016-09-20 09:38:16 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-12-03 14:07:37 UTC
Dear Mathias Kinsele,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug